summaryrefslogtreecommitdiffstats
path: root/desktop/pekwm/pekwm.SlackBuild
diff options
context:
space:
mode:
author Eugene Suter2010-05-13 00:23:04 +0200
committer Erik Hanson2010-05-13 00:23:04 +0200
commit13fda597655a5cae9ccff94ca73fc64302f9dbc2 (patch)
treec0234b8c352ffe428791c12dc34f3b3ef4068eb1 /desktop/pekwm/pekwm.SlackBuild
parent9bc6cf951611957306c0d160b6daa372361a38ea (diff)
downloadslackbuilds-13fda597655a5cae9ccff94ca73fc64302f9dbc2.tar.gz
desktop/pekwm: Updated for version 0.1.11
Diffstat (limited to 'desktop/pekwm/pekwm.SlackBuild')
-rw-r--r--desktop/pekwm/pekwm.SlackBuild67
1 files changed, 44 insertions, 23 deletions
diff --git a/desktop/pekwm/pekwm.SlackBuild b/desktop/pekwm/pekwm.SlackBuild
index 6d7e8eacd3..9c11dd9c18 100644
--- a/desktop/pekwm/pekwm.SlackBuild
+++ b/desktop/pekwm/pekwm.SlackBuild
@@ -1,12 +1,11 @@
#!/bin/sh
# Slackware build script for pekwm
-# Written by Vasilis Papavasileiou <el03020 at mail dot ntua dot gr>
-# Modified by the SlackBuilds.org project
-# (assumed to be in the public domain per our submission policy)
+
+# Written by Eugene Suter <easuter at gmail.com>
PRGNAM=pekwm
-VERSION=0.1.5
+VERSION=${VERSION:-0.1.11}
ARCH=${ARCH:-i486}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
@@ -16,49 +15,71 @@ TMP=${TMP:-/tmp/SBo}
PKG=$TMP/package-$PRGNAM
OUTPUT=${OUTPUT:-/tmp}
-# Sorry, no COPYING or LICENSE files in source
-DOCS="README AUTHORS ChangeLog INSTALL NEWS TODO"
-
if [ "$ARCH" = "i486" ]; then
SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
elif [ "$ARCH" = "i686" ]; then
SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
fi
+set -e # Exit on most errors
+
rm -rf $PKG
mkdir -p $TMP $PKG $OUTPUT
-cd $TMP || exit 1
+cd $TMP
rm -rf $PRGNAM-$VERSION
-tar -xjvf $CWD/$PRGNAM-$VERSION.tar.bz2 || exit 1
-cd $PRGNAM-$VERSION || exit 1
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
chown -R root:root .
-chmod -R u+w,go+r-w,a-s .
-
-# for xft-config (not necessary)
-PATH=$PATH:/usr/X11/bin
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+CFLAGS="$SLKCFLAGS" \
CXXFLAGS="$SLKCFLAGS" \
./configure \
--prefix=/usr \
- --sysconfdir=/usr/share \
- || exit 1
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
-make || exit 1
-make install DESTDIR=$PKG || exit 1
+make
+make install DESTDIR=$PKG
( cd $PKG
- find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : | \
+ xargs strip --strip-unneeded 2> /dev/null
)
-# Add xinitrc.pekwm so that pekwm will show up as an option in xwmconfig
-install -D -m 0755 $CWD/xinitrc.pekwm $PKG/etc/X11/xinit/xinitrc.pekwm
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $( find . -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+)
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ AUTHORS LICENSE ChangeLog README NEWS \
+ $PKG/usr/doc/$PRGNAM-$VERSION
cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+for CONF in $PKG/etc/pekwm/* ; do
+ mv $CONF $CONF.new
+done
+
mkdir -p $PKG/install
cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
cd $PKG
-/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}